"use strict";
/* UTILS */
Object.defineProperty(exports, "__esModule", { value: true });
var Utils = {
    plusesRe: /\+{2,}/gi,
    whitespaceRe: /\s+/gi,
    isMac: /mac|ipod|iphone|ipad/i.test(navigator.platform),
    isEqual: function (x, y) {
        if (x.length !== y.length)
            return false;
        for (var i = 0, l = x.length; i < l; i++) {
            if (x[i] !== y[i])
                return false;
        }
        return true;
    },
    memoize: function (fn) {
        var cache = {};
        return function memoizedFunction(id) {
            var cached = cache[id];
            if (cached)
                return cached;
            return cache[id] = fn.apply(undefined, arguments);
        };
    },
};
/* EXPORT */
exports.default = Utils;
